#include "xmaterialshaderargument.h"

XMaterialShaderArgument::XMaterialShaderArgument()
    : XAsset()
    , mType(0)
    , mDest(0)
    , mDef(*this)
{
    SetName("Material Shader Argument");
}

void XMaterialShaderArgument::Clear()
{
    mType = 0;
    mDest = 0;
    mDef.Clear();
}

void XMaterialShaderArgument::ParseData(QDataStream *aStream)
{
    *aStream
        >> mType
        >> mDest;

    mDef.ParseData(aStream);
}

quint16 XMaterialShaderArgument::GetType() const
{
    return mType;
}

quint16 XMaterialShaderArgument::GetDest() const
{
    return mDest;
}
